# shell script to compile, link, and run TestGL
# Use \dmd\bin\shell.exe to execute.

DMD=\dmd\bin\dmd
DFLAGS=-I\dmd\src\phobos
SC=\dmd\bin\sc

copy \dmd\lib\phobos.lib
copy \dmd\lib\snn.lib
copy \dmd\lib\opengl32.lib
# copy \dmd\lib\glu32.lib
copy \dmd\lib\user32.lib
copy \dmd\lib\gdi32.lib
copy \dmd\lib\kernel32.lib

$(DMD) -c testgl $(DFLAGS)
$(DMD) -c winbase $(DFLAGS)
$(DMD) -c wingdi $(DFLAGS)
$(DMD) -c winuser $(DFLAGS)
$(SC) -WA testgl.obj winbase.obj wingdi.obj winuser.obj opengl32.lib kernel32.lib user32.lib gdi32.lib -L/map 
# -L/subsystem:windows
testgl
del phobos.lib snn.lib opengl32.lib user32.lib gdi32.lib kernel32.lib
del testgl.obj winbase.obj wingdi.obj winuser.obj 
del testgl.exe testgl.map 

